XML::XPath::Function(3pm)

NAME
XML::XPath::Functions - implementations of XPath functions

DESCRIPTION
XPath 1.0 and some later functions are supported.

Note that functions that take regular expressions use Perl-syntax REs, not the language described in the XPath spec.

FUNCTIONS

  NODESET FUNCTIONS

•   last()

•   position()

•   count()

•   id()

•   "local-name()"

•   name()

•   "namespace-uri()"

  STRING FUNCTIONS
Functions On String Values

•   string()

•   concat()

•   substring()

•   "string-length()"

•   "normalize-space()"

•   translate()

Functions Based on Substring Matching

•   contains()

•   "starts-with()"

•   "substring-before()"

•   "substring-after()"

String Functions that Use Pattern Matching

•   matches()

  BOOLEAN FUNCTIONS

•   boolean()

•   not()

•   true()

•   false()

•   lang()

  NUMBER FUNCTIONS

•   number()

•   sum()

•   floor()

•   ceiling()

•   round()